Browse Source

Hrm. I'm still not sure about this..... I'm just *really* picky I guess.

Perhaps we should take to a whiteboard first.
master
Starbeamrainbowlabs 9 months ago
parent
commit
8dc9188ec9
Signed by: sbrl GPG Key ID: 1BE5172E637709C2
6 changed files with 5446 additions and 8 deletions
  1. +111
    -0
      .gitignore
  2. +7
    -8
      build
  3. +5292
    -0
      package-lock.json
  4. +15
    -0
      package.json
  5. +15
    -0
      src/_includes/layouts/main.html
  6. +6
    -0
      src/index.md

+ 111
- 0
.gitignore View File

@@ -16,3 +16,114 @@ Cargo.lock
**/*.rs.bk

# End of https://www.gitignore.io/api/rust

# Created by https://www.gitignore.io/api/node
# Edit at https://www.gitignore.io/?templates=node

### Node ###
# Logs
logs
*.log
npm-debug.log*
yarn-debug.log*
yarn-error.log*
lerna-debug.log*

# Diagnostic reports (https://nodejs.org/api/report.html)
report.[0-9]*.[0-9]*.[0-9]*.[0-9]*.json

# Runtime data
pids
*.pid
*.seed
*.pid.lock

# Directory for instrumented libs generated by jscoverage/JSCover
lib-cov

# Coverage directory used by tools like istanbul
coverage
*.lcov

# nyc test coverage
.nyc_output

# Grunt intermediate storage (https://gruntjs.com/creating-plugins#storing-task-files)
.grunt

# Bower dependency directory (https://bower.io/)
bower_components

# node-waf configuration
.lock-wscript

# Compiled binary addons (https://nodejs.org/api/addons.html)
build/Release

# Dependency directories
node_modules/
jspm_packages/

# TypeScript v1 declaration files
typings/

# TypeScript cache
*.tsbuildinfo

# Optional npm cache directory
.npm

# Optional eslint cache
.eslintcache

# Optional REPL history
.node_repl_history

# Output of 'npm pack'
*.tgz

# Yarn Integrity file
.yarn-integrity

# dotenv environment variables file
.env
.env.test

# parcel-bundler cache (https://parceljs.org/)
.cache

# next.js build output
.next

# nuxt.js build output
.nuxt

# rollup.js default build output
dist/

# Uncomment the public line if your project uses Gatsby
# https://nextjs.org/blog/next-9-1#public-directory-support
# https://create-react-app.dev/docs/using-the-public-folder/#docsNav
# public

# Storybook build outputs
.out
.storybook-out

# vuepress build output
.vuepress/dist

# Serverless directories
.serverless/

# FuseBox cache
.fusebox/

# DynamoDB Local files
.dynamodb/

# Temporary folders
tmp/
temp/

# End of https://www.gitignore.io/api/node

+ 7
- 8
build View File

@@ -16,7 +16,6 @@ lantern_path="./lantern-build-engine";
###

# Put any custom settings here.
zola="${PWD}/zola/target/release/zola";

###############################################################################

@@ -47,30 +46,30 @@ fi
task_setup() {
task_begin "Checking environment";
check_command git true;
check_command rustc true;
check_command cargo true;
check_command node true;
check_command npm true;
check_command npx true;
task_end 0;
task_begin "Initialising submodules";
execute git submodule update --init;
task_end $?;
task_begin "Compiling zola";
cd zola || { echo "Failed to cd into zola"; exit 1; };
execute cargo build --release;
task_begin "Installing dependencies";
npm install;
task_end "$?";
}

task_build() {
task_begin "Building site";
cd src || { echo "Failed to cd into src"; exit 1; };
"${zola}" build --output-dir "../public";
npx @11ty/eleventy --output="../public";
task_end "$?";
}
task_serve() {
task_begin "Building site";
cd src || { echo "Failed to cd into src"; exit 1; };
"${zola}" serve --output-dir "../public";
npx @11ty/eleventy --serve --output "../public";
task_end "$?";
}



+ 5292
- 0
package-lock.json
File diff suppressed because it is too large
View File


+ 15
- 0
package.json View File

@@ -0,0 +1,15 @@
{
"name": "pepperminty.wiki",
"version": "1.0.0",
"description": "Pepperminty Wiki website",
"main": "index.js",
"scripts": {
"test": "echo \"Error: no test specified\" && exit 1"
},
"author": "Starbeamrainbowlabs",
"license": "CC-BY-SA-4.0",
"private": true,
"devDependencies": {
"@11ty/eleventy": "^0.10.0"
}
}

+ 15
- 0
src/_includes/layouts/main.html View File

@@ -0,0 +1,15 @@
<!DOCTYPE html>
<html>
<head>
<meta charset='utf-8' />
<title>{{ title }}</title>
</head>
<body>
<h1>{{ title }}</h1>
{{ content }}
<!---------------->
</body>
</html>

+ 6
- 0
src/index.md View File

@@ -0,0 +1,6 @@
---
layout: layouts/main
title: Pepperminty Wiki
---

Pepperminty Wiki is a complete wiki engine contained in a single file, inspired by @am2064's [Minty Wiki](https://github.com/am2064/Minty-Wiki). It's open source too (under MPL-2.0), so contributions are welcome!

Loading…
Cancel
Save